Bug 494436 - fix rhnpush warnings on f11/python-2.6
fix rhnpush warnings on f11/python-2.6
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Red Hat Satellite QA List
:
Depends On:
Blocks: space06
  Show dependency treegraph
 
Reported: 2009-04-06 16:55 EDT by Pradeep Kilambi
Modified: 2009-09-10 08:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 08:05:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kilambi 2009-04-06 16:55:13 EDT
Description of problem:

rhnpush uses some modules that are deprecated in python-2.6. Also warns a runtimeerror. Though this does'nt the functionality of rhnpush itself, we need to clean this up so it works clean for python-2.6+ and also older versions.  

$ rhnpush --server http://rlx-2-22.rhndev.redhat.com/APP --user admin --pass redhat *.rpm -vvvvvv
/usr/share/rhn/rhnpush/uploadLib2.py:19: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import md5
Connecting to http://rlx-2-22.rhndev.redhat.com/APP
url is http://rlx-2-22.rhndev.redhat.com/PACKAGE-PUSH
Result codes: 200 OK
Computing md5sum and package Info .This may take sometime ...
Exception RuntimeError: 'maximum recursion depth exceeded while calling a Python object' in <type 'exceptions.AttributeError'> ignored
Package rhnlib-2.5.10-1.fc10.noarch.rpm Not Found on RHN Server -- Uploading
Uploading package rhnlib-2.5.10-1.fc10.noarch.rpm
Using POST request
Package rhnpush-0.4.6-1.fc10.noarch.rpm Not Found on RHN Server -- Uploading
Uploading package rhnpush-0.4.6-1.fc10.noarch.rpm
Using POST request
Comment 1 Pradeep Kilambi 2009-08-07 09:45:02 EDT
This is fixed on sha256 branch.. I just need to merge the changes to master without including the package db changes..
Comment 2 Miroslav Suchý 2009-09-10 08:05:49 EDT
Spacewalk 0.6 released

Note You need to log in before you can comment on or make changes to this bug.